---
title: Create Mandate API
description: Establish recurring payment or single mandate agreements with customers.
---

Establish recurring payment or single mandate agreements with your customers. Easily configure frequency, start/end dates, amount, and payment channel. Enables merchants to automate subscriptions, secure upfront payments, or manage user consents.

#### POST

```
https://payments.airpay.co.in/pay/v4/api/mandates/create.php
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | The Content-Type header specifies the media type of the request or response body, allowing the receiver to correctly interpret the For XML data, use application/xml. | `For JSON: application/json,For XML: application/xml` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| orderid  required | Alphanumeric  <br>(10-200) | Unique order identifier. |
| amount  required | Numeric  <br>(1–10) | Transaction amount. |
| currency_code  required | Numeric  <br>(3) | ISO 4217 numeric currency code. | `356` |
| iso_currency  required | String  <br>(3) | ISO 4217 alphabetic currency code. | `INR` |
| buyer_email  required | Email  <br>(3–50) | Buyer's email address. |
| buyer_phone  required | Numeric  <br>(8–15) | Buyer's phone number. |
| buyer_firstname  required | Alphanumeric  <br>(1–50) | Buyer's first name. |
| buyer_lastname  required | Alphanumeric  <br>(1–50) | Buyer's last name. |
| buyer_address  optional | Alphanumeric  <br>(1–50) | Buyer's address. |
| buyer_city  optional | Alphanumeric  <br>(1–50) | Buyer's city. |
| buyer_state  optional | Alphanumeric  <br>(1–50) | Buyer's state. |
| buyer_pincode  optional | Alphanumeric  <br>(4–8) | Buyer's postal code. |
| buyer_country  optional | Alphanumeric  <br>(2–50) | Buyer's country. |
| customvar  optional | Alphanumeric/Space/Equal  <br>(1–4096) | Custom data field for merchant use. |
| txnsubtype  required | Numeric | Transaction subtype identifier. |
| start_date  required | Alphanumeric  <br>(Date{dd/mm/yyyy}) | Mandate start date. |
| end_date  required | Alphanumeric  <br>(Date{dd/mm/yyyy}) | Mandate end date. |
| period  required | String | Frequency or duration period of mandate. |
| block_fund  required | String  <br>(1) | Required only in case of on-time mandate. |
| channel  required | String | Transaction channel (e.g., UPI, enach). |
| customer_vpa  optional | Alphanumeric | Required if channel is UPI. |
| account_number  optional | Numeric | Required if channel is eNACH. |
| account_type  optional | String | Required if channel is eNACH. |
| ifsc_code  optional | Alphanumeric | Required if channel is eNACH. |
| auth_mode  optional | String | Required if channel is eNACH. |
| bank_id  optional | Numeric | Required if channel is eNACH. |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| merchant_id  required | Numeric | Unique identifier assigned to the merchant. |
| orderid  required | Alphanumeric<br>(`10-200`) | Unique order identifier. |
| ap_transactionid  required | Numeric | Transaction ID assigned by the payment gateway. |
| txn_mode  optional | String | Mode of transaction. | `LIVE, TEST` |
| chmod  required | String | Channel mode. | `upi, enach` |
| amount  required | Numeric | Transaction amount. |
| currency_code  required | Numeric | Transaction ID assigned by the payment gateway. |
| iso_currency  required | String<br>(`3`) | ISO 4217 alphabetic currency code. | `INR` |
| transaction_status  required | Numeric | Status code representing the transaction result. | `211 = InProcess, 400 = Failed` |
| transaction_payment_status  required | String | Status text representing the payment state. | `INPROCESS, SUCCESS, FAILED` |
| customer_name  optional | String | Name of the customer. |
| customer_phone  optional | Numeric | Customer's phone number. |
| customer_email  optional | Email | Customer's email address. |
| transaction_type  optional | Numeric | Type or category of transaction. |
| risk  optional | Numeric | Risk indicator or fraud check score (0 = no risk). |
| transaction_time  optional | String<br>(`DateTime (dd-mm-yyyy HH:MM:SS)`) | Timestamp of the transaction event. |
| customer_vpa  optional | Alphanumeric | Required only in case of channel = UPI Customer's Virtual Payment Address (applicable for UPI). |
| ap_securehash  optional | String | Required only in case of channel = UPI Secure hash for integrity validation of request. |
| redirection_url  optional | String | Required only in case of channel = eNACH for redirection after mandate. |